Bug 856002 - Review Request: plug - Linux software for Fender Mustang amplifiers
Review Request: plug - Linux software for Fender Mustang amplifiers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-09-10 18:19 EDT by Jonathan Underwood
Modified: 2012-12-14 18:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 18:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2012-09-10 18:19:55 EDT
Spec URL: http://fedorapeople.org/~jgu/plug.spec
SRPM URL: http://fedorapeople.org/~jgu/plug-1.1-3.fc17.src.rpm
Description: Linux replacement for Fender FUSE software for Mustang amps
Fedora Account System Username: jgu
Comment 1 Mario Blättermann 2012-09-22 16:11:05 EDT
gcc-c++ is part of the minimum build environment, please drop it from BR:
http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2
Comment 2 Jonathan Underwood 2012-09-23 11:54:08 EDT
Spec URL: http://fedorapeople.org/~jgu/plug.spec
SRPM URL: http://fedorapeople.org/~jgu/plug-1.1-4.fc17.src.rpm

* Sun Sep 23 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-4
- Remove BuildRequires for gcc-c++
- Use pkgconfig style BuildRequires for qt-devel
Comment 3 Mario Blättermann 2012-09-25 14:58:46 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4525705

$ rpmlint -i -v *
plug.src: I: checking
plug.src: W: non-standard-group Hardware/Other
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

plug.src: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

plug.src: I: checking-url http://piorekf.org/plug/download/v1.1.tar.gz (timeout 10 seconds)
plug.src: W: invalid-url Source0: http://piorekf.org/plug/download/v1.1.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

plug.i686: I: checking
plug.i686: W: non-standard-group Hardware/Other
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

plug.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

plug.i686: W: no-manual-page-for-binary plug
Each executable in standard binary directories should have a man page.

plug.x86_64: I: checking
plug.x86_64: W: non-standard-group Hardware/Other
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

plug.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

plug.x86_64: W: no-manual-page-for-binary plug
Each executable in standard binary directories should have a man page.

plug-debuginfo.i686: I: checking
plug-debuginfo.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug-debuginfo.x86_64: I: checking
plug-debuginfo.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.spec:5: W: non-standard-group Hardware/Other
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

plug.spec:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

plug.spec: I: checking-url http://piorekf.org/plug/download/v1.1.tar.gz (timeout 10 seconds)
plug.spec: W: invalid-url Source0: http://piorekf.org/plug/download/v1.1.tar.gz HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 12 warnings.



The "Group" tag is invalid. Either use one of those mentioned above, or remove it, if you don't want to provide your package for EPEL (see http://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag).

Don't mix spaces and tabs. I recommend spaces because this way the spec file looks the same in any text editor, independent from the configured tab width.
Comment 4 Jonathan Underwood 2012-09-30 15:30:36 EDT
Spec URL: http://fedorapeople.org/~jgu/plug.spec
SRPM URL: http://fedorapeople.org/~jgu/plug-1.1-5.fc17.src.rpm

* Sun Sep 30 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-5
- Change Group to Applications/System
- Untabify spec file
- Fix Source URL

(In reply to comment #3)
> Scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4525705
> 
> $ rpmlint -i -v *
> plug.src: I: checking
> plug.src: W: non-standard-group Hardware/Other
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing",
> "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "Unspecified", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 

Changed group to Applications/System


> plug.src: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
> plug.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
> The specfile mixes use of spaces and tabs for indentation, which is a
> cosmetic
> annoyance.  Use either spaces or tabs for indentation, not both.
> 

Fixed.

> plug.src: I: checking-url http://piorekf.org/plug/download/v1.1.tar.gz
> (timeout 10 seconds)
> plug.src: W: invalid-url Source0:
> http://piorekf.org/plug/download/v1.1.tar.gz HTTP Error 404: Not Found
> The value should be a valid, public HTTP, HTTPS, or FTP URL.
> 

Fixed.

> plug.i686: I: checking
> plug.i686: W: non-standard-group Hardware/Other
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing",
> "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "Unspecified", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 
> plug.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
> plug.i686: W: only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.
> 

This is a false positive - the file under /usr/lib is a udev rule file which absolutely must go in /usr/lib/udev/rules.d/

> plug.i686: W: no-manual-page-for-binary plug
> Each executable in standard binary directories should have a man page.
> 
> plug.x86_64: I: checking
> plug.x86_64: W: non-standard-group Hardware/Other
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing",
> "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "Unspecified", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 

Fixed.


> plug.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
> plug.x86_64: W: only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.
> 

False positive - see above.

> plug.x86_64: W: no-manual-page-for-binary plug
> Each executable in standard binary directories should have a man page.
> 

This is a graphical application with no command line switches. A man page really isn't necessary.

> plug-debuginfo.i686: I: checking
> plug-debuginfo.i686: I: checking-url http://piorekf.org/plug/ (timeout 10
> seconds)
> plug-debuginfo.x86_64: I: checking
> plug-debuginfo.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10
> seconds)
> plug.spec:5: W: non-standard-group Hardware/Other
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing",
> "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "Unspecified", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 

Fixed.

> plug.spec:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
> The specfile mixes use of spaces and tabs for indentation, which is a
> cosmetic
> annoyance.  Use either spaces or tabs for indentation, not both.
> 

Fixed.

> plug.spec: I: checking-url http://piorekf.org/plug/download/v1.1.tar.gz
> (timeout 10 seconds)
> plug.spec: W: invalid-url Source0:
> http://piorekf.org/plug/download/v1.1.tar.gz HTTP Error 404: Not Found
> The value should be a valid, public HTTP, HTTPS, or FTP URL.
> 

Fixed.

> 5 packages and 1 specfiles checked; 0 errors, 12 warnings.
> 
> 
> 
> The "Group" tag is invalid. Either use one of those mentioned above, or
> remove it, if you don't want to provide your package for EPEL (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag).
> 

As noted above, I changed it to Applications/System so as to make it easy for someone to create an EPEL branch (I probably won't).

> Don't mix spaces and tabs. I recommend spaces because this way the spec file
> looks the same in any text editor, independent from the configured tab width.

Fixed.
Comment 5 Mario Blättermann 2012-10-02 14:52:06 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4552310

$ rpmlint -i -v *
plug.src: I: checking
plug.src: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.src: I: checking-url https://bitbucket.org/piorekf/plug/get/v1.1.tar.gz (timeout 10 seconds)
plug.i686: I: checking
plug.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

plug.i686: W: no-manual-page-for-binary plug
Each executable in standard binary directories should have a man page.

plug.x86_64: I: checking
plug.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

plug.x86_64: W: no-manual-page-for-binary plug
Each executable in standard binary directories should have a man page.

plug-debuginfo.i686: I: checking
plug-debuginfo.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug-debuginfo.x86_64: I: checking
plug-debuginfo.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.spec: I: checking-url https://bitbucket.org/piorekf/plug/get/v1.1.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 4 warnings.

No recognizable issues.


The group "plugdev" will be created at installation. This is OK so far, but the command has to be followed by "exit 0". See http://fedoraproject.org/wiki/Packaging:UsersAndGroups for more information.

No further objections from my side, your package is ready for a full review once you've fixed the mentioned issue.
Comment 6 Ian Malone 2012-10-10 19:53:47 EDT
Thanks very much for picking this one up! Just one note about the udev/plughw group rule, I went through some discussion about this a while back with the devel list and the correct fedora way is with a dynamic access control list, see
http://lists.freedesktop.org/archives/systemd-devel/2012-March/004795.html
and
http://lists.fedoraproject.org/pipermail/devel/2012-March/164837.html

In summary having this installed as plug.50-mustang.rules :
SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", \
   ATTRS{idVendor}=="1ed8", ATTRS{idProduct}=="000[456]", \
    ENV{ID_AMPLIFIER_PANEL}="1"
ENV{ID_AMPLIFIER_PANEL}=="1", TAG+="uaccess"

Means you don't need the plugdev group and udev rule to change group for it.
Comment 7 Jonathan Underwood 2012-10-11 10:39:28 EDT
Thanks Ian, that's useful info - I had been digging into this actually, but hadn't actually got it figured out - you just saved me a lot of brain ache!

Am a little snowed under at work, but will upload new packages at the weekend with these changes.
Comment 8 Jonathan Underwood 2012-11-01 20:29:05 EDT
Spec URL: http://fedorapeople.org/~jgu/plug.spec
SRPM URL: http://fedorapeople.org/~jgu/plug-1.1-6.fc17.src.rpm

* Tue Oct 16 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-6
- Change udev rules to be systemd conformant (See BZ 856002 comment 6)
- No longer created the plugdev group
- Drop unneeded README.Fedora file
Comment 9 Mario Blättermann 2012-11-02 18:18:22 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4651203

$ rpmlint -i -v *
plug.src: I: checking
plug.src: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.src: I: checking-url https://bitbucket.org/piorekf/plug/get/v1.1.tar.gz (timeout 10 seconds)
plug.i686: I: checking
plug.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

plug.i686: W: no-manual-page-for-binary plug
Each executable in standard binary directories should have a man page.

plug.x86_64: I: checking
plug.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

plug.x86_64: W: no-manual-page-for-binary plug
Each executable in standard binary directories should have a man page.

plug-debuginfo.i686: I: checking
plug-debuginfo.i686: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug-debuginfo.x86_64: I: checking
plug-debuginfo.x86_64: I: checking-url http://piorekf.org/plug/ (timeout 10 seconds)
plug.spec: I: checking-url https://bitbucket.org/piorekf/plug/get/v1.1.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 4 warnings.

No recognizable issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    92d7562fc8b803176d01234c73f6594816d8a0f1ff046b6f7ab980e3f4e65723  v1.1.tar.gz
    92d7562fc8b803176d01234c73f6594816d8a0f1ff046b6f7ab980e3f4e65723  v1.1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 10 Jonathan Underwood 2012-11-04 07:05:13 EST
Thanks for taking the time to review, Mario.
Comment 11 Jonathan Underwood 2012-11-04 07:07:41 EST
New Package SCM Request
=======================
Package Name: plug 
Short Description:  Linux replacement for Fender FUSE software for Mustang amps
Owners: jgu
Branches: f17 f18
InitialCC:
Comment 12 Jon Ciesla 2012-11-05 08:02:16 EST
Git done (by process-git-requests).
Comment 13 Mario Blättermann 2012-11-21 14:46:24 EST
No packages built yet...?
Comment 14 Mario Blättermann 2012-12-14 18:31:42 EST
Packages for all the requested Git branches are marked as stable now.

Note You need to log in before you can comment on or make changes to this bug.